getBlock

Get a block by its Block Identifier. If transactions are returned in
the same call to the node as fetching the block, the response should
include these transactions in the Block object. If not, an array of
Transaction Identifiers should be returned so /block/transaction
fetches can be done to get all transaction information.

When requesting a block by the hash component of the BlockIdentifier,
this request MUST be idempotent: repeated invocations for the same
hash-identified block must return the exact same block contents.

No such restriction is imposed when requesting a block by height,
given that a chain reorg event might cause the specific block at
height n to be set to a different one.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

A BlockRequest is utilized to make a block request on the
/block endpoint.

network_identifier
object
required

The network_identifier specifies which network a particular object is associated with.

block_identifier
object
required

When fetching data by BlockIdentifier, it may be possible to only specify the
index or hash. If neither property is specified, it is assumed that the
client is making a request at the current block.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json